﻿using System.Windows.Controls;
using System.Linq;
using System.Windows;
using System.Collections.Generic;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows;
using System.Windows.Input;
using System;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DataContext = (from i in Enumerable.Range(0, 10)
                          select new MyObject() { ID = i, Name = string.Format("Name{0}", i) }).ToList();
			
			
			this.AddHandler(GridViewCellBase.CellDoubleClickEvent, new EventHandler<RadRoutedEventArgs>(OnCellDoubleClick), true);
        }

		private void OnCellDoubleClick(object sender, RadRoutedEventArgs args)
		{
			MessageBox.Show("Double clicked!");
		}

		//private void RadTreeListView_RowActivated(object sender, Telerik.Windows.Controls.GridView.RowEventArgs e)
		//{
		//    MessageBox.Show("RadTreeListView_RowActivated");
		//}
    }

    public class MyObject
    {
        public int ID { get; set; }
        public string Name { get; set; }

        public IList<MyObject> Items
        {
            get
            {
                return (from i in Enumerable.Range(0, 10)
                        select new MyObject() { ID = i, Name = string.Format("Name{0}", i) }).ToList();
            }
        }
    }
}
